#!/bin/bash
################################################################################
#
# Intel Data Center Bridging (DCB) Software
# Copyright(c) 2007-2008 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# e1000-eedc Mailing List <e1000-eedc@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

# reset_dcbd
# stop dcbd service on both peers
# remove configuration file
# start dcbd service on both peers
reset_dcbd() {
	ssh $REMOTE /etc/init.d/dcbd stop
	/etc/init.d/dcbd stop

	ssh $REMOTE rm /etc/sysconfig/dcbd/dcbd.conf
	rm /etc/sysconfig/dcbd/dcbd.conf

	ssh $REMOTE /etc/init.d/dcbd start
	/etc/init.d/dcbd start
}

# check_results
check_results() {
	diff junk $1
	if [ $? -ne 0 ]; then
		echo FAILED - $2 >> $RESULTS
		exit 1
	else
		echo PASSED - $2 >> $RESULTS
	fi
}

handle_result() {
	if [ $1 -ne 0 ]; then
		echo FAILED - $2 >> $RESULTS
		exit 1
	else
		echo PASSED - $2 >> $RESULTS
	fi
}
